### Function

# Gio VfsFileLookupFunc

since: 2.50

#### Declaration

    GFile*
    (* GVfsFileLookupFunc) (
      GVfs* vfs,
      const char* identifier,
      gpointer user_data
    )

#### Description

This function type is used by `g_vfs_register_uri_scheme()` to make it possible for a client to associate an URI scheme to a different `GFile` implementation.

The client should return a reference to the new file that has been created for `uri`, or `NULL` to continue with the default implementation.

Available since: 2.50

#### Parameters

`vfs`

  Type: `GVfs`

  A `GVfs`.

  The data is owned by the caller of the function.

`identifier`

  Type: `const char*`

  The identifier to look up a `GFile` for. This can either be an URI or a parse name as returned by `g_file_get_parse_name()`

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`user_data`

  Type: `gpointer`

  User data passed to the function.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

#### Return value

Type: `GFile`

A `GFile` for `identifier`.

The caller of the function takes ownership of the data, and is responsible for freeing it.